
Katello - Feature #21387

Cannot remove docker manifest list

10/18/2017 09:44 PM - Partha Aji

Status: New   

Priority: Normal   

Assignee:    

Category: Container   

Target version: Katello 3.6.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We need to add code to the

katello/app/models/katello/repository.rb

units_for_removal

removable_unit_association

app/lib/actions/katello/repository/remove_content.rb

to be able to delete manifest lists.

Related issues:

Related to Katello - Tracker #21289: Add Docker Manifest List to Katello New 10/11/2017

History

#1 - 10/18/2017 09:44 PM - Partha Aji

- Related to Tracker #21289: Add Docker Manifest List to Katello added

#2 - 10/23/2017 07:07 PM - Jonathon Turel

- Target version changed from 225 to 160

#3 - 10/25/2017 06:33 PM - Justin Sherrill

- Tracker changed from Bug to Feature

- translation missing: en.field_release set to 284

#4 - 10/31/2017 07:46 PM - Partha Aji

Also needs to address the story of deleting manifests belonging to a manifest list.

#5 - 03/28/2018 06:23 PM - John Mitsch

- translation missing: en.field_release changed from 284 to 352
